|  | Home · All Classes · Modules

# QCommandLinkButton Class Reference
[QtGui module]

The QCommandLinkButton widget provides a Vista style command link button. More...

Inherits QPushButton.

### Methods

- __init__ (self, QWidget parent = None)
- __init__ (self, QString text, QWidget parent = None)
- __init__ (self, QString text, QString description, QWidget parent = None)
- QString description (self)
- bool event (self, QEvent e)
- int heightForWidth (self, int)
- QSize minimumSizeHint (self)
- paintEvent (self, QPaintEvent)
- setDescription (self, QString description)
- QSize sizeHint (self)

## Detailed Description

The QCommandLinkButton widget provides a Vista style command link button.

The command link is a new control that was introduced by Windows Vista. It's intended use is similar to that of a radio button in that it is used to choose between a set of mutually exclusive options. Command link buttons should not be used by themselves but rather as an alternative to radio buttons in Wizards and dialogs and makes pressing the "next" button redundant. The appearance is generally similar to that of a flat pushbutton, but it allows for a descriptive text in addition to the normal button text. By default it will also carry an arrow icon, indicating that pressing the control will open another window or page.

## Method Documentation

### QCommandLinkButton.__init__ (self, QWidget parent = None)

The parent argument, if not None, causes self to be owned by Qt instead of PyQt.

Constructs a command link with no text and a parent.

### QCommandLinkButton.__init__ (self, QString text, QWidget parent = None)

The parent argument, if not None, causes self to be owned by Qt instead of PyQt.

Constructs a command link with the parent parent and the text text.

### QCommandLinkButton.__init__ (self, QString text, QString description, QWidget parent = None)

The parent argument, if not None, causes self to be owned by Qt instead of PyQt.

Constructs a command link with a text, a description, and a parent.

### QString QCommandLinkButton.description (self)

### bool QCommandLinkButton.event (self, QEvent e)

Reimplemented from QObject.event().

### int QCommandLinkButton.heightForWidth (self, int)

Reimplemented from QWidget.heightForWidth().

### QSize QCommandLinkButton.minimumSizeHint (self)

Reimplemented from QWidget.minimumSizeHint().

### QCommandLinkButton.paintEvent (self, QPaintEvent)

Reimplemented from QWidget.paintEvent().

### QCommandLinkButton.setDescription (self, QString description)

### QSize QCommandLinkButton.sizeHint (self)

Reimplemented from QWidget.sizeHint().